const path = require("path");
function resolve(dir) {
  return path.join(__dirname, dir); // __dirname是当前目录的绝对路径
}

module.exports = {
  chainWebpack(config) {
    config.resolve.alias
      .set("@", resolve("src"))
      .set("api", resolve("src/api"))
      .set("utils", resolve("src/utils"))
      .set("components", resolve("src/components"));
  },
  transpileDependencies: ["@dcloudio/uni-ui"],
};
