import request from "utils/request";

export default {
  sendCode(params) {
    return request({
      url: "/guest-identity/unionAuth/sendCode",
      method: "post",
      data: params,
    });
  },
  // 自动登录
  loginPersonal(params) {
    return request({
      url: "/guest-identity/unionAuth/loginPersonal",
      method: "post",
      data: params,
    });
  },
  // 登录
  bindLoginByPhonePersonal(params) {
    return request({
      url: "/guest-identity/unionAuth/bindLoginByPhonePersonal",
      method: "post",
      data: params,
    });
  },
  // 获取短信验证码
  verifyCodeLoginCheckAccountPersonal(params) {
    return request({
      url: "/guest-identity/unionAuth/verifyCodeLoginCheckAccountPersonal",
      method: "post",
      data: params,
    });
  },
  // 验证码登录
  verifyCodeLoginPersonal(params) {
    return request({
      url: "/guest-identity/unionAuth/verifyCodeLoginPersonal",
      method: "post",
      data: params,
    });
  },
};
